import java.awt.Button;
import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class MultiBallWorldFrame extends Frame
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;

    public MultiBallWorldFrame( Color ballColor )
    {
        super();

        setSize ( FrameWidth, FrameHeight*2  );
        setTitle( "Eight Ball Worlds and a Button" );

        setLayout( new GridLayout(3, 3) );

        for (int i = 0; i < 4; i++)
            add( new MultiBallWorldPanel( ballColor ) );

        Button quitButton = new Button( "QUIT" );
        quitButton.addActionListener( new QuitButtonListener() );
        add( quitButton );

        for (int i = 0; i < 4; i++)
            add( new MultiBallWorldPanel( ballColor ) );
    }

    public void paint( Graphics g )
    {
        // nothing needed
    }

    private class QuitButtonListener implements ActionListener
    {
        public void actionPerformed( ActionEvent e )
        {
            System.exit( 0 );
        }
    }
}
