import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.Label;

public class MultiBallWorldFrame extends Frame
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;

    public MultiBallWorldFrame( Color ballColor )
    {
        super();

        setSize ( FrameWidth, FrameHeight*2  );
        setTitle( "Eight Ball Worlds -- and Four in the Middle" );

        setLayout( new GridLayout(3, 3) );

        for (int i = 0; i < 4; i++)
            add( new MultiBallWorldPanel( ballColor ) );

        Color darkerColor = ballColor.darker().darker().darker();
        add( new MultiBallWorldGrid( darkerColor ) );       //****

        for (int i = 0; i < 4; i++)
            add( new MultiBallWorldPanel( ballColor ) );
    }

    public void paint( Graphics g )
    {
        // nothing needed
    }
}
